# Uses of Package
javax.naming.directory

Packages that use javax.naming.directory
Package
Description
javax.naming.directory
Extends the `javax.naming` package to provide functionality for accessing directory services.
javax.naming.event
Provides support for event notification when accessing naming and directory services.
javax.naming.ldap
Provides support for LDAPv3 extended operations and controls.
javax.naming.spi
Provides the means for dynamically plugging in support for accessing naming and directory services through the `javax.naming` and related packages.

Classes in javax.naming.directory used by javax.naming.directory
Class
Description
Attribute
This interface represents an attribute associated with a named object.
Attributes
This interface represents a collection of attributes.
DirContext
The directory service interface, containing methods for examining and updating attributes associated with objects, and for searching the directory.
ModificationItem
This class represents a modification item.
SearchControls
This class encapsulates factors that determine scope of search and what gets returned as a result of the search.
SearchResult
This class represents an item in the NamingEnumeration returned as a result of the DirContext.search() methods.
Classes in javax.naming.directory used by javax.naming.event
Class
Description
DirContext
The directory service interface, containing methods for examining and updating attributes associated with objects, and for searching the directory.
SearchControls
This class encapsulates factors that determine scope of search and what gets returned as a result of the search.
Classes in javax.naming.directory used by javax.naming.ldap
Class
Description
Attributes
This interface represents a collection of attributes.
DirContext
The directory service interface, containing methods for examining and updating attributes associated with objects, and for searching the directory.
InitialDirContext
This class is the starting context for performing directory operations.
Classes in javax.naming.directory used by javax.naming.spi
Class
Description
Attributes
This interface represents a collection of attributes.
DirContext
The directory service interface, containing methods for examining and updating attributes associated with objects, and for searching the directory.